import React from 'react';
import { View, ImageBackground, Text } from 'react-native';
import styles from './styles.js';

/**
 * Empty flat list component
 * @constructor
 */
var Empty = function Empty(_ref) {
  var hasRows = _ref.hasRows,
    isFetching = _ref.isFetching,
    title = _ref.title,
    text = _ref.text,
    Img = _ref.Img;
  return !hasRows && !isFetching && /*#__PURE__*/React.createElement(View, {
    style: styles.emptyBlock
  }, Img && /*#__PURE__*/React.createElement(ImageBackground, {
    source: Img,
    style: styles.background,
    resizeMode: "cover"
  }), title && /*#__PURE__*/React.createElement(Text, {
    style: styles.noFoundTitle
  }, title), text && /*#__PURE__*/React.createElement(Text, {
    style: styles.noFoundText
  }, text)) || null;
};

export { Empty as default };
//# sourceMappingURL=index.js.map
