import { ConfigureParams } from '@react-native-google-signin/google-signin';
interface IGoogleOptions {
    config?: ConfigureParams & {
        webClientId: string;
    };
}
/**
 * Sign in through Google
 */
declare const GoogleSignIn: ({ config }?: IGoogleOptions) => Promise<import("@react-native-firebase/auth").FirebaseAuthTypes.UserCredential>;
/**
 * Sign out from Google
 * @constructor
 */
declare const GoogleSignOut: ({ config }?: IGoogleOptions) => Promise<null> | undefined;
export { GoogleSignIn, GoogleSignOut };
