import { isAndroid } from '@lomray/react-native-layout-helper';
import { NativeModules } from 'react-native';

/**
 * Get navigation bar dimension on android
 * NOTE: only android
 */
var getNavigationBarDimension = function getNavigationBarDimension() {
  var _NativeModules$Common;
  if (!isAndroid) {
    return Promise.resolve({});
  }
  return (_NativeModules$Common = NativeModules.CommonModule) === null || _NativeModules$Common === void 0 ? void 0 : _NativeModules$Common.getNavigationBarDimension();
};

export { getNavigationBarDimension as default };
//# sourceMappingURL=get-navigation-bar-dimension.js.map
