import { ComponentDidAppearEvent } from 'react-native-navigation';
type THandler = (event: ComponentDidAppearEvent) => any;
type TOptions = {
    isRepeat?: boolean;
} & ({
    componentId: string;
} | {
    componentName: string;
});
/**
 * Called each time when component appears on screen (attached to the view hierarchy)
 */
declare const useNavDidAppear: (handler: THandler, options: TOptions) => void;
export { useNavDidAppear as default };
