import { FCC } from '@lomray/client-helpers/interfaces';
import { IBottomHalfContainer } from "./index.container.js";
interface IBottomHalf extends Omit<IBottomHalfContainer, 'shouldClose'> {
    isVisible: boolean;
    id?: string;
    deps?: boolean | string | Record<string, any>;
}
/**
 * Modal bottom half
 * @constructor
 */
declare const BottomHalf: FCC<IBottomHalf>;
export { BottomHalf as default, IBottomHalf };
