import { ComponentDidAppearEvent } from 'react-native-navigation';
declare enum EventScreen {
    overlay = "overlay",
    modal = "modal",
    screen = "screen"
}
interface IHandleChangeScreen {
    hiddenOverlays: string[];
    hiddenModals: string[];
    callback?: (event: EventScreen, params: ComponentDidAppearEvent) => void;
}
/**
 * Handle screen change
 */
declare const HandleChangeScreen: ({ hiddenOverlays, hiddenModals, callback, }: IHandleChangeScreen) => void;
export { EventScreen, HandleChangeScreen };
