import { TFunction, Namespace } from 'i18next';
import { i18n as Ii18n } from "i18next";
interface ICustomI18n extends Omit<Ii18n, 't'> {
    t: TFunction<Namespace>;
    getSystemLocale: () => string | undefined;
    defaultLanguage: string;
}
declare const customI18n: ICustomI18n;
export { customI18n as default, ICustomI18n };
