import { objectWithoutProperties as _objectWithoutProperties, objectSpread2 as _objectSpread2 } from '../../_virtual/_rollupPluginBabelHelpers.js';
import { fs } from '@lomray/react-native-layout-helper';
import { showMessage } from 'react-native-flash-message';
import Config from '../../services/config.js';

var _excluded = ["type"];
var showTopFlashMessage = function showTopFlashMessage(msgOptions) {
  var _options$commonOption, _options$type;
  var _msgOptions$type = msgOptions.type,
    type = _msgOptions$type === void 0 ? 'info' : _msgOptions$type,
    restOptions = _objectWithoutProperties(msgOptions, _excluded);
  var options = Config.get('topFlashMessage', {});
  var commonOptions = (_options$commonOption = options === null || options === void 0 ? void 0 : options.commonOptions) !== null && _options$commonOption !== void 0 ? _options$commonOption : {};
  var typeOptions = (_options$type = options === null || options === void 0 ? void 0 : options[type]) !== null && _options$type !== void 0 ? _options$type : {};
  showMessage(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({
    type: type,
    position: 'top',
    duration: 5000
  }, commonOptions), typeOptions), restOptions), {}, {
    style: [commonOptions === null || commonOptions === void 0 ? void 0 : commonOptions.style, typeOptions === null || typeOptions === void 0 ? void 0 : typeOptions.style, restOptions === null || restOptions === void 0 ? void 0 : restOptions.style],
    textStyle: [{
      color: '#ffffff',
      fontWeight: '500',
      fontSize: fs(3.733) // 14
    }, commonOptions === null || commonOptions === void 0 ? void 0 : commonOptions.textStyle, typeOptions === null || typeOptions === void 0 ? void 0 : typeOptions.textStyle, restOptions === null || restOptions === void 0 ? void 0 : restOptions.textStyle],
    titleStyle: [commonOptions === null || commonOptions === void 0 ? void 0 : commonOptions.titleStyle, typeOptions === null || typeOptions === void 0 ? void 0 : typeOptions.titleStyle, restOptions === null || restOptions === void 0 ? void 0 : restOptions.titleStyle]
  }));
};

export { showTopFlashMessage };
//# sourceMappingURL=index.js.map
