import { Navigation } from 'react-native-navigation';

var OVERLAY_ID = 'overlay.bottom-half';
var openHalfBottom = function openHalfBottom(screenProps) {
  var _screenProps$id;
  var id = (_screenProps$id = screenProps === null || screenProps === void 0 ? void 0 : screenProps.id) !== null && _screenProps$id !== void 0 ? _screenProps$id : OVERLAY_ID;
  return Navigation.showOverlay({
    component: {
      id: id,
      name: id,
      passProps: screenProps,
      options: {
        overlay: {
          interceptTouchOutside: false,
          handleKeyboardEvents: false
        },
        layout: {
          componentBackgroundColor: 'transparent'
        }
      }
    }
  });
};
var closeHalfBottom = function closeHalfBottom() {
  var id = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : OVERLAY_ID;
  return Navigation.dismissOverlay(id);
};

export { OVERLAY_ID, closeHalfBottom, openHalfBottom };
//# sourceMappingURL=control.js.map
