import { FCC } from '@lomray/client-helpers/interfaces';
import { ViewProps } from 'react-native';
interface IBottomHalfContainer {
    id?: string;
    onClose?: () => void;
    height?: number | string;
    shouldClose?: boolean;
    hasControlButton?: boolean;
    containerStyle?: ViewProps['style'];
    pressHandlerStyle?: ViewProps['style'];
    dropdownStyle?: ViewProps['style'];
    controlButtonContainerStyle?: ViewProps['style'];
    controlButtonStyle?: ViewProps['style'];
}
/**
 * Modal container
 * @constructor
 */
declare const BottomHalfContainer: FCC<IBottomHalfContainer>;
export { BottomHalfContainer as default, IBottomHalfContainer };
