import { AppState } from 'react-native';
import Config from '../../services/config.js';

/**
 * Handle application change state. Foreground/Background.
 */
var HandleAppStateChange = function HandleAppStateChange(callback) {
  AppState.addEventListener('change', function (nextAppState) {
    var _Config$get;
    (_Config$get = Config.get('logger')) === null || _Config$get === void 0 || _Config$get.info("App state change: ".concat(nextAppState, "."));
    callback === null || callback === void 0 || callback(nextAppState);
  });
};

export { HandleAppStateChange as default };
//# sourceMappingURL=handler-app-state-change.js.map
