import { ComponentType } from 'react';
type TScreens = Map<string, ComponentType | [ComponentType, boolean]>;
type TWrapper = (Component: ComponentType, isEnableGesture?: boolean) => ComponentType;
/**
 * Register application screens
 * @constructor
 */
declare const RegisterScreens: (screens: TScreens, wrapper: TWrapper) => void;
export { RegisterScreens as default };
